Skip to content
Navigation

Puts the customer on a full event's waitlist at a ticket, until the seller lets them in or declines; a paid one is charged on promotion, on the card saved with saveWaitlistCard.

POST
https://api.sherpo.io/customer/v1/stores/{store}/products/{product}/waitlist

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    A hostname of the store.

  • product
    string
    required

    An id, or slug:<slug>.

    minLength: 1

Request body JSON required

  • price
    object
    required

    The one-time price to wait at, charged on promotion when paid.

    • id
      string
      required
      maxLength: 512 · minLength: 1
  • quantity
    optional
    integer

    How many tickets; one when unset.

    maximum: 99 · minimum: 1

Returns

200

Puts the customer on a full event's waitlist at a ticket, until the seller lets them in or declines; a paid one is charged on promotion, on the card saved with saveWaitlistCard.

JSON
  • id
    string
    required
  • product_id
    string
    required
  • status
    string
    required

    waitlisted until the seller lets them in or declines.

  • quantity
    number
    required
  • paid
    boolean
    required

    Whether its ticket is paid, charged on promotion to the card saveWaitlistCard saves.

  • created_at
    string
    required
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close